JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs
juce_SmoothedValue.h File Reference

## Classes
class | SmoothedValueBase< SmoothedValueType >
| A base class for the smoothed value classes. More...
struct | ValueSmoothingTypes::Linear
| Used to indicate a linear smoothing between values. More...
struct | ValueSmoothingTypes::Multiplicative
| Used to indicate a smoothing between multiplicative values. More...
class | SmoothedValue< FloatType, SmoothingType >
| A utility class for values that need smoothing to avoid audio glitches. More...

## Namespaces
namespace | ValueSmoothingTypes
| A namespace containing a set of types used for specifying the smoothing behaviour of the SmoothedValue class.

## Typedefs
template<typename FloatType >
using | LinearSmoothedValue = SmoothedValue <FloatType, ValueSmoothingTypes::Linear>